Include "hjconst.jsh" ; default HJ constants

Const
ID_COMMANDLIST = 59648,
ID_ParentDistant = 59649,
ID_ParentLocal = 59648,
C_MDI = "AfxMDIFrame70su",
MSG_Distant = "Distant, Zone de Liste ",
MSG_Local = "Local, Zone de Liste ",
MSG_Queue = "Files d'attente, Zone de Liste ",
MSG_CommandList = "Journal, dition ",
MSG_DistantEdit = "Distant, dition ",
MSG_LocalEdit = "Local, dition ",
MSG_LocalArbo = "Local, arborescence ",
MSG_DistantArbo = "Distant, arborescence "

Globals
Int FirstTime

HANDLE Function GetHandleCommandList ()
var handle hwnd

let hwnd = GetTopLevelWindow (GetFocus ())
let hwnd = FindDescendantWindow (hwnd, ID_COMMANDLIST)
return GetFirstChild (hwnd)
EndFunction

HANDLE Function GetHandleDistantList ()
var handle hwnd

let hwnd = GetTopLevelWindow (GetFocus ())
let hwnd = FindWindow (hwnd, C_MDI, "")
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = FindDescendantWindow (hwnd, 59649)
let hwnd = FindWindow (hwnd, "SysListView32", "")
return hwnd
EndFunction

HANDLE Function GetHandleDistantEdit ()
var handle hwnd

let hwnd = GetTopLevelWindow (GetFocus ())
let hwnd = FindWindow (hwnd, C_MDI, "")
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = FindDescendantWindow (hwnd, 59649)
let hwnd = FindWindow (hwnd, "Edit", "")
return hwnd
EndFunction

HANDLE Function GetHandleQueueList ()
var handle hwnd

let hwnd = GetTopLevelWindow (GetFocus ())
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = FindWindow (hwnd, C_MDI, "")
let hwnd = GetNextWindow (hwnd)
let hwnd = FindWindow (hwnd, "SysListView32", "")
return hwnd
EndFunction

HANDLE Function GetHandleLocalList ()
var handle hwnd

let hwnd = GetTopLevelWindow (GetFocus ())
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = GetFirstChild  (hwnd)
let hwnd = FindWindow (hwnd, "SysListView32", "")
return hwnd
EndFunction

HANDLE Function GetHandleLocalEdit ()
var handle hwnd

let hwnd = GetTopLevelWindow (GetFocus ())
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = FindWindow (hwnd, "AfxMDIFrame70su", "")
let hwnd = GetFirstChild  (hwnd)
let hwnd = FindWindow (hwnd, "edit", "")
return hwnd
EndFunction

Script SetCommandList ()
SetFocus (GetHandleCommandList ())
EndScript

Script SetDistantList ()
SetFocus (GetHandleDistantList ())
EndScript

Script SetDistantEdit ()
SayString (GetWindowText (GetHandleDistantEdit (), false))
EndScript

Script SetQueueList ()
SetFocus (GetHandleQueueList ())
EndScript

Script SetLocalList ()
SetFocus (GetHandleLocalList ())
EndScript

Script SetLocalEdit ()
SayString (GetWindowText (GetHandleLocalEdit (), false))
EndScript

Void Function AutoStartEvent ()
TestFocus ()
EndFunction

Function AutoFinishEvent ()
let FirstTime = 0
EndFunction

Function StatusConnexion ()
Var Handle hwnd, string s, string t

let hwnd = GetAppMainWindow (GetFocus ())
let s = GetWindowText (hwnd, true)
let t = GetJAWSSettingsDirectory () + "\\FileZilla.wav"
if StringContains (s, " Connect ") != 0 then
if FirstTime == 0 then
PlaySound (t)
let FirstTime = 1
endif
else let FirstTime = 0
endif
ScheduleFunction ("StatusConnexion", 5)
EndFunction

Function TestFocus ()
if GetFocus () == 0 then
; Pour razorback si tu veux pas faire agrandir sur l'icone c'est en dessous !
;MaxWindow ()
PerformScript SetCommandList()
endif
ScheduleFunction ("TestFocus", 10)
EndFunction

Function MaxWindow ()
{alt+space}{n}
EndFunction

void Function SayObjectTypeAndText ()
Var Handle hwnd, Handle GrandParent2, Handle GrandParent3

Let hwnd = GetFocus ()
Let GrandParent2 = GetParent (GetParent (hwnd))
Let GrandParent3 = GetParent (GrandParent2)

StatusConnexion ()
If GetFocus () == GetHandleDistantList () then
SayString (MSG_Distant)
SayLine ()
ElIf GetFocus () == GetHandleLocalList () then
SayString (MSG_Local)
SayLine ()
ElIf GetFocus () == GetHandleQueueList () then
SayString (MSG_Queue)
SayString (GetWindowText (hwnd, true) + PositionInGroup ())
ElIf GetFocus () == GetHandleCommandList () then
SayString (MSG_CommandList)
SayLine ()
ElIf GetControlID (GrandParent3) == ID_ParentDistant
&& GetWindowClass (hwnd) == "Edit" then
SayString (MSG_DistantEdit)
SayLine ()
ElIf GetControlID (GrandParent3) == ID_ParentLocal
&& GetWindowClass (hwnd) == "Edit" then
SayString (MSG_LocalEdit)
SayLine ()
ElIf GetControlID (GrandParent2) == ID_ParentLocal
&& GetWindowClass (hwnd) == "SysTreeView32" then
SayString (MSG_LocalArbo)
SayLine ()
ElIf GetControlID (GrandParent2) == ID_ParentDistant
&& GetWindowClass (hwnd) == "SysTreeView32" then
SayString (MSG_DistantArbo)
SayLine ()
Else SayObjectTypeAndText ()
endif
EndFunction

Script ScriptFileName ()
if IsSameScript () then
	SayString ("Script pour FileZilla version 1.6 du 7 septembre 2006, auteur David DA MOTA, ACCESSOLUTIONS")
else
	ScriptAndAppNames ("FileZilla")
endif
EndScript

Script aide ()
if IsSameScript () then
Run ("\""+ GetJAWSSettingsDirectory () + "\\FileZilla.htm" +"\"")
else {f1}
endif
EndScript

Script ActiveExporter ()
{alt+q}{e}
EndScript

Script ActiveImporter ()
{alt+q}{i}
EndScript


Script essai ()

EndScript

Script SaySpeedTransfer ()
Var String s, int i, int j

let s = GetWindowText (GetHandleQueueList (), false)
let i = StringContains (s, " bytes ")

if i != 0 then
; s = chaine fichier plus vitesse.
let s = stringChopLeft (s, i + 6)
let j = StringContains (s, " KB/s)")
let s = stringLeft (s, j)

SayString (s + "kb/s")
Else SayString ("Introuvable")
Endif
EndScript
